﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CarBrush : MonoBehaviour {

    [SerializeField]
    public Color brush;

    // Use this for initialization
    void Start()
    {
        // get renderer which has the material references
        var renderers = gameObject.transform.GetComponentsInChildren<Renderer>();
        if (renderers == null)
            return;

        foreach (var renderer in renderers)
        {
            foreach (var material in renderer.materials)
            {
                if (material.name == "car-body (Instance)" ||
                    material.name == "car-body4 (Instance)" ||
                    material.name == "car-body7 (Instance)" ||
                    material.name == "car-body9 (Instance)" ||
                    material.name == "car-body10 (Instance)")
                    material.color = brush;
            }
        }


    }
	
	// Update is called once per frame
	void Update () {
		
	}
}
